Skip to main content
GET
Get subscription preferences for a specific contact

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
communication_preferences.read_write

Path Parameters

subscriberIdString
string
required

The unique identifier of the subscriber whose communication preferences status is being retrieved.

Query Parameters

channel
enum<string>
required

The communication channel for which the subscription status is being retrieved. Must be 'EMAIL'.

Available options:
EMAIL
businessUnitId
integer<int64>

The ID of the business unit to filter the subscription status. This is an optional parameter.

Response

successful operation

completedAt
string<date-time>
required

The date and time when the operation was completed.

results
object[]
required

An array of results from the operation.

startedAt
string<date-time>
required

The date and time when the operation started.

status
enum<string>
required

Indicates the current status of the operation, with possible values: PENDING, PROCESSING, CANCELED, COMPLETE.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

A list of errors that occurred during the operation.

Contains URLs related to the response, such as documentation or resources.

numErrors
integer<int32>

The number of errors that occurred during the operation.

requestedAt
string<date-time>

The date and time when the request was made.

Last modified on September 9, 2026